# Get All Virtual Accounts

## Get Virtual Accounts

> Returns list of Virtual Accounts for a customer

```json
{"openapi":"3.0.0","info":{"title":"Virtual Accounts API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/virtual-account":{"get":{"summary":"Get Virtual Accounts","description":"Returns list of Virtual Accounts for a customer","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful retrieval of virtual accounts","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CreateVAResponseSuccessModel"},{"type":"object","description":"Partial response for virtual accounts still being provisioned asynchronously","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["pending"]}},"required":["id","status"]}]}}}}}}}}}}},"components":{"schemas":{"CreateVAResponseSuccessModel":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier for the virtual account"},"status":{"type":"string","description":"The current status of the virtual account","enum":["active"]},"destination_token":{"type":"string","description":"The currency to be deposited","enum":["usdc","usdt","aed"]},"destination_network":{"type":"string","description":"The blockchain network for the destination","enum":["polygon","ethereum","solana","base","tron","arbitrum"]},"destination_address":{"type":"string","description":"The blockchain address where the funds will be sent"},"developer_fee_percent":{"type":"string","pattern":"^[0-9]+(\\.[0-9]+)?$","description":"Custom developer fee percentage for the Virtual Account"},"deposit_instructions":{"type":"object","oneOf":[{"title":"IBAN Account Details","properties":{"payment_rails":{"type":"array","description":"The available rails for deposits","items":{"type":"string","enum":["sepa"]}},"currency":{"type":"string","description":"The currency used for the deposit","enum":["eur"]},"bank_name":{"type":"string"},"bank_address":{"type":"string"},"account_holder_name":{"type":"string"},"iban":{"type":"object","properties":{"bic":{"type":"string"},"iban_number":{"type":"string"}}}}},{"title":"US Account Details","properties":{"payment_rails":{"type":"array","description":"The available rails for deposits","items":{"type":"string","enum":["ach","wire"]}},"currency":{"type":"string","description":"The currency used for the deposit","enum":["usd"]},"bank_name":{"type":"string"},"bank_address":{"type":"string"},"account_beneficiary_name":{"type":"string"},"account_beneficiary_address":{"type":"string"},"us":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}}}}},{"title":"International Wire Account Details","properties":{"payment_rails":{"type":"array","description":"The available rails for deposits","items":{"type":"string","enum":["swift"]}},"currency":{"type":"string","description":"The currency used for the deposit","enum":["usd"]},"bank_name":{"type":"string"},"bank_address":{"type":"string"},"account_beneficiary_name":{"type":"string"},"account_beneficiary_address":{"type":"string"},"international_wire":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"},"bic":{"type":"string"}}}}}]}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alignlabs.dev/align-api/virtual-accounts/get-all-virtual-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
